%define major	8
%define gmajor	1.0
%define libname	%mklibname %{name} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}

%define libbuilder %mklibname appstream-builder %{major}
%define girbuilder %mklibname appstream-builder-gir %{gmajor}

%define devname	%mklibname %{name} -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		appstream-glib
Version:	0.8.0
Release:	%mkrel 2
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
License:	LGPLv2+
URL:		https://people.freedesktop.org/~hughsient/appstream-glib/
Source0:	https://people.freedesktop.org/~hughsient/appstream-glib/releases/%{name}-%{version}.tar.xz

# Mageia specific patches
## (ngompa): Fix path for libstemmer headers
Patch1000:	appstream-glib-0.7.0-mga-Fix-path-to-include-libstemmer.patch
## (wally): Build libappstream-builder as a shared lib to fix linking
Patch1011:	appstream-glib-linking.patch
# Regular build dependencies
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.31.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.45.8
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	libstemmer-devel
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	gcab
BuildRequires:	gperf
BuildRequires:	meson

# this is not a library version
%define as_plugin_version               5

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n	appstream-util
Summary:	Utility to do simple operations on AppStream metadata
Group:		System/Packaging
Obsoletes:	appdata-tools < 0.1.9
Provides:	appdata-tools = %{version}-%{release}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n	appstream-util
Utility to do simple operations on AppStream metadata.

Sub-commands understood by this utility include: 'install', 'uninstall',
'dump' and 'convert'.

%package -n	%{libname}
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n	%{libname}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n     %{libbuilder}
Summary:        Library for reading and writing AppStream metadata
Group:          System/Libraries

%description -n %{libbuilder}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libbuilder} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
# tools are tested by some pkgs, thus fixing generating deps:
Requires:	appstream-util
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	appdata-tools < 0.1.9

%description -n	%{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	i18n
Summary:	Library for reading and writing AppStream metadata - translations
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains translations used by %{name}.

%package builder
Summary:	Library and command line tools for building AppStream metadata
Group:		System/Packaging
Requires:	appstream-util >= %{version}-%{release}
Recommends:	pngquant

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%prep
%autosetup -p1

%build
%meson \
       -Dgtk-doc=true \
       -Dstemmer=true \
       -Ddep11=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -n appstream-util
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1*
%{_mandir}/man1/appstream-compose.1*

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libbuilder}
%{_libdir}/libappstream-builder.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/AppStreamGlib-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/appstream-glib/
%{_includedir}/lib%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/libappstream-builder.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AppStreamGlib-%{gmajor}.gir
%{_datadir}/aclocal/appdata-xml.m4
%{_datadir}/aclocal/appstream-xml.m4
%{_datadir}/installed-tests/appstream-glib
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files i18n -f %{name}.lang

%files builder
%license COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_mandir}/man1/appstream-builder.1*


%changelog
* Tue Jan 24 2023 wally <wally> 0.8.0-2.mga9
+ Revision: 1935690
- add patch to build libappstream-builder as a shared lib to fix linking

* Wed Jul 20 2022 luigiwalser <luigiwalser> 0.8.0-1.mga9
+ Revision: 1869576
- 0.8.0

* Wed Mar 30 2022 umeabot <umeabot> 0.7.18-6.mga9
+ Revision: 1835424
- Mageia 9 Mass Rebuild

* Sun Dec 06 2020 luigiwalser <luigiwalser> 0.7.18-5.mga8
+ Revision: 1653913
- actually fix builder dependency

* Sun Dec 06 2020 daviddavid <daviddavid> 0.7.18-4.mga8
+ Revision: 1653672
- fix dependencies

* Thu Dec 03 2020 luigiwalser <luigiwalser> 0.7.18-3.mga8
+ Revision: 1652120
- rebuild for libstemmer

* Thu Nov 26 2020 tv <tv> 0.7.18-2.mga8
+ Revision: 1649467
- split the builder subpkg so that rpmlint doesn't depend on gtk+3

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.7.18-1.mga8
+ Revision: 1647081
- 0.7.18

* Thu Feb 20 2020 daviddavid <daviddavid> 0.7.17-1.mga8
+ Revision: 1545882
- new version: 0.7.17

* Tue Feb 18 2020 umeabot <umeabot> 0.7.16-2.mga8
+ Revision: 1541795
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 luigiwalser <luigiwalser> 0.7.16-1.mga8
+ Revision: 1475436
- 0.7.16

* Mon Sep 16 2019 tv <tv> 0.7.15-3.mga8
+ Revision: 1441967
- "fix" underlinking
- rebuild for rpm-4.15
+ umeabot <umeabot>
- Rebuild with meson 0.50.1
+ luigiwalser <luigiwalser>
- 0.7.15
- obsolete appstream_builder library

* Tue Dec 18 2018 ovitters <ovitters> 0.7.14-1.mga7
+ Revision: 1342624
- new version 0.7.14

* Sat Sep 15 2018 daviddavid <daviddavid> 0.7.12-1.mga7
+ Revision: 1259112
- new version 0.7.12

* Mon Feb 12 2018 ngompa <ngompa> 0.7.6-1.mga7
+ Revision: 1200561
- Update to 0.7.6

* Sat Nov 18 2017 luigiwalser <luigiwalser> 0.7.4-1.mga7
+ Revision: 1177651
- 0.7.4

* Fri Sep 01 2017 tv <tv> 0.7.2-3.mga7
+ Revision: 1150515
+ rebuild (emptylog)

* Fri Sep 01 2017 tv <tv> 0.7.2-2.mga7
+ Revision: 1150485
- rebuild for new rpm

* Fri Aug 25 2017 luigiwalser <luigiwalser> 0.7.2-1.mga7
+ Revision: 1147881
- 0.7.2

* Sun Aug 06 2017 ngompa <ngompa> 0.7.1-1.mga7
+ Revision: 1137528
- Upgrade to 0.7.1
- Drop merged patch

* Mon Jul 24 2017 ngompa <ngompa> 0.7.0-1.mga7
+ Revision: 1130031
- Update to 0.7.0

* Sat May 13 2017 luigiwalser <luigiwalser> 0.6.13-1.mga6
+ Revision: 1100928
- 0.6.13

* Fri Apr 14 2017 luigiwalser <luigiwalser> 0.6.12-1.mga6
+ Revision: 1096523
- 0.6.12

* Wed Mar 29 2017 luigiwalser <luigiwalser> 0.6.11-1.mga6
+ Revision: 1095161
- 0.6.11

* Thu Mar 23 2017 tv <tv> 0.6.10-2.mga6
+ Revision: 1094605
- BR appstream-util in devel pkg thus fixing missing typelib() deps in some pkgs

* Thu Mar 09 2017 luigiwalser <luigiwalser> 0.6.10-1.mga6
+ Revision: 1090518
- 0.6.10

* Fri Feb 17 2017 ngompa <ngompa> 0.6.8-1.mga6
+ Revision: 1086569
- Update to 0.6.8

* Sat Jan 14 2017 luigiwalser <luigiwalser> 0.6.7-1.mga6
+ Revision: 1081683
- 0.6.7

* Fri Dec 23 2016 luigiwalser <luigiwalser> 0.6.6-1.mga6
+ Revision: 1076650
- 0.6.6

* Fri Nov 11 2016 ngompa <ngompa> 0.6.5-1.mga6
+ Revision: 1066365
- Upgrade to 0.6.5

* Tue Oct 11 2016 ngompa <ngompa> 0.6.3-1.mga6
+ Revision: 1060118
- Upgrade to 0.6.3

* Mon Aug 29 2016 ngompa <ngompa> 0.6.2-1.mga6
+ Revision: 1049433
- Update to 0.6.2

* Sun Aug 07 2016 ngompa <ngompa> 0.5.17-2.mga6
+ Revision: 1044868
- Ensure matching versions of appstream-glib libs are installed with appstream-util

* Sun Jul 17 2016 ngompa <ngompa> 0.5.17-1.mga6
+ Revision: 1042322
- Upgrade to 0.5.17
- Enforce glib2.0 version requirement in BR

* Wed Jun 15 2016 ngompa <ngompa> 0.5.16-1.mga6
+ Revision: 1021563
- Upgrade to 0.5.16

* Fri Mar 18 2016 tv <tv> 0.5.11-1.mga6
+ Revision: 992731
- BR pkgconfig(json-glib-1.0)
- new release

* Mon Feb 29 2016 ovitters <ovitters> 0.5.10-1.mga6
+ Revision: 981004
- new version 0.5.10

* Sun Jan 03 2016 wally <wally> 0.5.5-1.mga6
+ Revision: 919137
- BR 'pkgconfig(uuid)'
- new version 0.5.5

* Sun Sep 27 2015 tv <tv> 0.5.1-1.mga6
+ Revision: 884100
- new release

* Sun Sep 06 2015 tv <tv> 0.5.0-4.mga6
+ Revision: 873303
- rebuild with new rpm
+ wally <wally>
- add missing lib pkg require to devel pkg

* Wed Sep 02 2015 wally <wally> 0.5.0-3.mga6
+ Revision: 872302
- add versioned provide for appdata-tools

* Wed Sep 02 2015 wally <wally> 0.5.0-2.mga6
+ Revision: 872275
- obsolete appdata-tools

* Thu Aug 20 2015 ovitters <ovitters> 0.5.0-1.mga6
+ Revision: 866974
- update file list
- update major
- update file list
- new version 0.5.0

* Sun Jun 28 2015 wally <wally> 0.2.5-4.mga6
+ Revision: 847139
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 742110
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-2.mga5
+ Revision: 677870
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 fwang <fwang> 0.2.5-1.mga5
+ Revision: 665469
- update file list
- 0.2.5

* Wed Jul 23 2014 ovitters <ovitters> 0.2.3-1.mga5
+ Revision: 656110
- new version 0.2.3

* Wed Jul 23 2014 ovitters <ovitters> 0.2.2-1.mga5
+ Revision: 656093
- new version 0.2.2
- dropped merged patch 1

* Tue Jun 24 2014 ovitters <ovitters> 0.2.1-2.mga5
+ Revision: 639514
- enable rpm support for appstream-builder

* Tue Jun 24 2014 ovitters <ovitters> 0.2.1-1.mga5
+ Revision: 639477
- add patch to fix build
- extensive update of filelist
- verbose make
- new version 0.2.1

* Wed May 28 2014 wally <wally> 0.1.6-1.mga5
+ Revision: 627255
- new version 0.1.6
- split out utility to own subpkg

* Wed May 28 2014 wally <wally> 0.1.1-2.mga5
+ Revision: 627245
- fix lib and devel pkg names and summaries
- split out gir typelib
- don't own gtk-doc dir

* Wed Mar 26 2014 ovitters <ovitters> 0.1.1-1.mga5
+ Revision: 608729
- imported package appstream-glib

